﻿# Host: www.lockingos.org  (Version 5.7.31)
# Date: 2021-04-02 11:15:48
# Generator: MySQL-Front 6.1  (Build 1.26)


#
# Structure for table "base_company_link_tb"
#

DROP TABLE IF EXISTS `base_company_link_tb`;
CREATE TABLE `base_company_link_tb` (
  `id` bigint(20) NOT NULL COMMENT '唯一ID',
  `send_company_id` bigint(20) NOT NULL COMMENT '互链申请发送方企业ID',
  `send_company_name` varchar(50) NOT NULL COMMENT '发送方企业简称',
  `accept_company_id` bigint(20) NOT NULL COMMENT '互链申请接收方企业ID',
  `accept_company_name` varchar(50) NOT NULL COMMENT '接收方企业简称',
  `audit_status` tinyint(4) NOT NULL COMMENT '审核状态 0：审核中，1：审核通过，2：审核失败，3：撤回申请',
  `link_status` tinyint(4) NOT NULL COMMENT '互链状态 0：解除互链，1：互链中，2：暂停互链',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='企业互链信息';

#
# Structure for table "base_company_tb"
#

DROP TABLE IF EXISTS `base_company_tb`;
CREATE TABLE `base_company_tb` (
  `company_id` bigint(20) NOT NULL COMMENT '企业唯一ID',
  `company_name` varchar(50) DEFAULT NULL COMMENT '企业简称',
  `comp_all_name` varchar(100) DEFAULT NULL COMMENT '企业全称',
  `provice_id` bigint(20) DEFAULT NULL COMMENT '所属省份',
  `address` varchar(150) DEFAULT NULL COMMENT '地址',
  `telphone` varchar(20) DEFAULT NULL COMMENT '单位电话',
  `industry_id` bigint(20) DEFAULT NULL COMMENT '所属行业',
  `manage_user_id` bigint(20) DEFAULT NULL COMMENT '企业管理员',
  `logo_url` varchar(255) DEFAULT NULL COMMENT '企业logo',
  `remark` varchar(50) DEFAULT NULL COMMENT '备注',
  `duty_paragraph` varchar(255) DEFAULT NULL COMMENT '税号',
  `opening_bank` varchar(255) DEFAULT NULL COMMENT '开户行',
  `bank_account` varchar(255) DEFAULT NULL COMMENT '银行账号',
  `password` varchar(100) DEFAULT NULL COMMENT '企业授权密码',
  `disable` tinyint(1) DEFAULT NULL COMMENT '是否禁用：1 禁用，0 未禁用',
  `deleted` tinyint(1) DEFAULT NULL COMMENT '是否已删除：1 已删除，0 未删除',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `ipfs_api` varchar(64) DEFAULT NULL COMMENT '存储API',
  `ipfs_bootstrap` varchar(1024) DEFAULT NULL COMMENT '存储结点',
  PRIMARY KEY (`company_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='base_company_tb（企业）';

#
# Structure for table "base_dept_tb"
#

DROP TABLE IF EXISTS `base_dept_tb`;
CREATE TABLE `base_dept_tb` (
  `dept_id` bigint(20) NOT NULL COMMENT '主键：部门ID',
  `company_id` bigint(20) DEFAULT NULL COMMENT '企业ID',
  `super_id` bigint(20) DEFAULT NULL COMMENT '上级部门ID',
  `level_id` varchar(2000) DEFAULT NULL COMMENT '层级ID',
  `dept_name` varchar(20) DEFAULT NULL COMMENT '部门名称',
  `remark` varchar(50) DEFAULT NULL COMMENT '备注信息',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建人ID',
  `crete_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改人ID',
  `modify_time` timestamp NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `deleted` tinyint(255) DEFAULT NULL COMMENT '是否已删除：1 已删除，0 未删除',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

#
# Structure for table "base_industry_tb"
#

DROP TABLE IF EXISTS `base_industry_tb`;
CREATE TABLE `base_industry_tb` (
  `industry_id` bigint(20) NOT NULL COMMENT '主键：行业ID',
  `name` varchar(50) DEFAULT NULL COMMENT '行业名称',
  `level` tinyint(1) DEFAULT NULL COMMENT '行业层级',
  `level_id` varchar(500) DEFAULT NULL COMMENT '层级ID',
  `super_id` bigint(20) DEFAULT NULL COMMENT '上级行业ID',
  `code` varchar(20) DEFAULT NULL COMMENT '行业编码',
  `full_code` varchar(100) DEFAULT NULL COMMENT '行业完整编码',
  `create_user_id` varchar(16) DEFAULT NULL COMMENT '创建人ID',
  `create_time` datetime DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`industry_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

#
# Structure for table "base_provice_tb"
#

DROP TABLE IF EXISTS `base_provice_tb`;
CREATE TABLE `base_provice_tb` (
  `provice_id` varchar(16) NOT NULL COMMENT '主键：省份ID',
  `provice_name` varchar(20) DEFAULT NULL COMMENT '名称',
  `order_num` tinyint(2) DEFAULT NULL COMMENT '排序',
  `state` tinyint(1) DEFAULT NULL COMMENT '状态0为正常，1为禁用',
  PRIMARY KEY (`provice_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC;

#
# Structure for table "base_user_ext_tb"
#

DROP TABLE IF EXISTS `base_user_ext_tb`;
CREATE TABLE `base_user_ext_tb` (
  `user_id` bigint(20) NOT NULL COMMENT '主键：用户ID',
  `national` varchar(20) DEFAULT NULL COMMENT '民族',
  `native_place` varchar(200) DEFAULT NULL COMMENT '籍贯',
  `birthday` date DEFAULT NULL COMMENT '生日',
  `address` varchar(200) DEFAULT NULL COMMENT '地址',
  `education` varchar(10) DEFAULT NULL COMMENT '最高学历',
  `political_landscape` varchar(50) DEFAULT NULL COMMENT '政治面貌',
  `marital_status` varchar(10) DEFAULT NULL COMMENT '婚姻状况',
  `gradution_date` date DEFAULT NULL COMMENT '毕业时间',
  `gradution_school` varchar(50) DEFAULT NULL COMMENT '毕业院校',
  `specialty` varchar(30) DEFAULT NULL COMMENT '专业',
  `hire_date` date DEFAULT NULL COMMENT '入职日期',
  `staff_status` tinyint(2) DEFAULT NULL COMMENT '员工状态 0：在职，1：离职',
  `departure_date` date DEFAULT NULL COMMENT '离职日期',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='用户信息扩展表';

#
# Structure for table "base_user_tb"
#

DROP TABLE IF EXISTS `base_user_tb`;
CREATE TABLE `base_user_tb` (
  `user_id` bigint(20) NOT NULL COMMENT '主键：用户ID',
  `cn_name` varchar(30) DEFAULT NULL COMMENT '中文姓名',
  `user_name` varchar(20) DEFAULT NULL COMMENT '用户名：登录名',
  `passWord` varchar(100) DEFAULT NULL COMMENT '密码',
  `company_id` bigint(20) DEFAULT NULL COMMENT '企业ID',
  `dept_id` bigint(20) DEFAULT NULL COMMENT '部门ID',
  `sex` tinyint(1) DEFAULT NULL COMMENT '性别',
  `phone` varchar(16) DEFAULT NULL COMMENT '手机号',
  `email` varchar(200) DEFAULT NULL COMMENT '邮箱',
  `position` varchar(50) DEFAULT NULL COMMENT '职位',
  `permission` tinyint(2) DEFAULT NULL COMMENT '用户端权限：Permission: 0 普通职员；Permission: 1 项目负责人；Permission: 99 无权限',
  `backgroundPermission` tinyint(2) DEFAULT NULL COMMENT '管理端权限:BackgroundPermission: 2 企业管理员；BackgroundPermission: 99 无权限',
  `headImgUrl` varchar(200) DEFAULT NULL COMMENT '头像链接',
  `disable` tinyint(1) DEFAULT NULL COMMENT '是否禁用：1 禁用，0 未禁用',
  `default` tinyint(1) DEFAULT NULL COMMENT '0：普通用户，1：企业管理员',
  `link_company_role` tinyint(4) NOT NULL DEFAULT '0' COMMENT '互链角色 0：普通职员，1：互链职员',
  `deleted` tinyint(1) DEFAULT NULL COMMENT '是否已删除：1 已删除，0未删除',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='用户信息表';

#
# Structure for table "proj_archive_history_tb"
#

DROP TABLE IF EXISTS `proj_archive_history_tb`;
CREATE TABLE `proj_archive_history_tb` (
  `id` bigint(20) NOT NULL COMMENT '唯一id',
  `arch_id` bigint(20) DEFAULT NULL COMMENT '文件id',
  `prev_ipfs_cid` varchar(255) DEFAULT NULL COMMENT '上一个版本cid',
  `current_ipfs_cid` varchar(255) DEFAULT NULL COMMENT '当前协作版本cid',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='历史版本文件记录';

#
# Structure for table "proj_archive_tb"
#

DROP TABLE IF EXISTS `proj_archive_tb`;
CREATE TABLE `proj_archive_tb` (
  `arch_id` bigint(20) NOT NULL COMMENT '文件id',
  `proj_id` bigint(20) DEFAULT NULL COMMENT '项目id',
  `folder_id` bigint(20) DEFAULT NULL COMMENT '文件夹id',
  `arch_name` varchar(255) DEFAULT NULL COMMENT '文件名称',
  `extension` varchar(20) DEFAULT NULL COMMENT '扩展名',
  `ipfs_cid` varchar(255) DEFAULT NULL COMMENT 'ipfs中的cid',
  `file_size` bigint(20) DEFAULT NULL COMMENT '文件大小',
  `folder_level_id` varchar(2000) DEFAULT NULL COMMENT '所在文件夹层级id',
  `status` tinyint(1) DEFAULT '1' COMMENT '文件状态；default1:不可协同；2:可协同',
  `work_status` tinyint(1) NOT NULL DEFAULT '1' COMMENT '工作状态；default1:未在工作；2：工做中',
  `common_status` tinyint(1) DEFAULT '1' COMMENT '公共文件状态；1:未提交到公共文件；2已提交公共文件',
  `deleted` tinyint(1) DEFAULT '0' COMMENT '是否删除；default0:未删除；1：已删除',
  `milestone` tinyint(1) DEFAULT NULL COMMENT '里程碑文件；default1:非里程碑文件；2里程碑文件',
  `version` int(11) DEFAULT NULL COMMENT '版本号',
  `show_url` varchar(255) DEFAULT NULL COMMENT '链接展示地址',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `is_show_recycle` tinyint(1) DEFAULT NULL,
  `relative_path` varchar(255) DEFAULT NULL COMMENT '相对路径',
  PRIMARY KEY (`arch_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='文件档案';

#
# Structure for table "proj_archiveuser_tb"
#

DROP TABLE IF EXISTS `proj_archiveuser_tb`;
CREATE TABLE `proj_archiveuser_tb` (
  `id` bigint(20) NOT NULL,
  `arch_id` bigint(20) DEFAULT NULL COMMENT '文件id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `status` tinyint(1) DEFAULT NULL COMMENT '状态；default0:新文件；1:待更新',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='用户和文件的关系表';

#
# Structure for table "proj_archmilestone_tb"
#

DROP TABLE IF EXISTS `proj_archmilestone_tb`;
CREATE TABLE `proj_archmilestone_tb` (
  `mile_stone_id` bigint(20) NOT NULL COMMENT '里程碑id',
  `first_arch_id` bigint(20) DEFAULT NULL COMMENT '首文件id',
  `arch_id` bigint(20) DEFAULT NULL COMMENT '文件id',
  `arch_name` varchar(255) DEFAULT NULL COMMENT '文件名称',
  `number` int(10) DEFAULT NULL COMMENT '编号',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`mile_stone_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='文件里程碑表';

#
# Structure for table "proj_deliverables_submit_detail_tb"
#

DROP TABLE IF EXISTS `proj_deliverables_submit_detail_tb`;
CREATE TABLE `proj_deliverables_submit_detail_tb` (
  `id` bigint(20) NOT NULL COMMENT '主键id',
  `deliverables_submit_id` bigint(20) NOT NULL COMMENT '提交记录id',
  `proj_id` bigint(20) DEFAULT NULL COMMENT '项目id',
  `folder_id` bigint(20) DEFAULT NULL COMMENT '文件夹id',
  `arch_name` varchar(255) DEFAULT NULL COMMENT '文件名称',
  `extension` varchar(20) DEFAULT NULL COMMENT '扩展名',
  `ipfs_cid` varchar(255) DEFAULT NULL COMMENT 'ipfs中的cid',
  `file_size` bigint(20) DEFAULT NULL COMMENT '文件大小',
  `version` int(11) DEFAULT NULL COMMENT '版本号',
  `relative_path` varchar(255) DEFAULT NULL COMMENT '相对路径',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='项目交付物提交历史文件信息';

#
# Structure for table "proj_deliverables_submit_tb"
#

DROP TABLE IF EXISTS `proj_deliverables_submit_tb`;
CREATE TABLE `proj_deliverables_submit_tb` (
  `id` bigint(20) NOT NULL COMMENT '提交记录id',
  `proj_id` bigint(20) DEFAULT NULL COMMENT '项目id',
  `deliverables_folder_id` bigint(20) DEFAULT NULL COMMENT '文件夹id',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='项目交付物提交信息';

#
# Structure for table "proj_download_tb"
#

DROP TABLE IF EXISTS `proj_download_tb`;
CREATE TABLE `proj_download_tb` (
  `down_load_id` bigint(20) NOT NULL COMMENT '下载记录',
  `cpu_id` varchar(100) DEFAULT NULL COMMENT '客户端电脑id',
  `arch_id` bigint(20) DEFAULT NULL COMMENT '文件id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `type` tinyint(1) DEFAULT NULL COMMENT '1:文件；2:协作文件',
  `status` tinyint(1) DEFAULT NULL COMMENT '0:下载中1：已经下载',
  `down_load_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '下载时间',
  PRIMARY KEY (`down_load_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='文件下载记录表';

#
# Structure for table "proj_folder_tb"
#

DROP TABLE IF EXISTS `proj_folder_tb`;
CREATE TABLE `proj_folder_tb` (
  `folder_id` bigint(20) NOT NULL COMMENT '文件夹id',
  `proj_id` bigint(20) DEFAULT NULL COMMENT '项目id',
  `company_id` bigint(20) NOT NULL COMMENT '企业唯一ID',
  `super_id` bigint(20) DEFAULT NULL COMMENT '上级文件夹id',
  `level_id` varchar(255) NOT NULL COMMENT '层级id',
  `first_folder_id` bigint(20) DEFAULT NULL COMMENT '顶级文件夹id',
  `folder_name` varchar(200) DEFAULT NULL COMMENT '文件夹名称',
  `template_id` bigint(20) DEFAULT NULL COMMENT '模版id',
  `node_id` bigint(20) DEFAULT NULL COMMENT '节点id',
  `sys_code` varchar(100) DEFAULT NULL COMMENT '编码',
  `file_count` smallint(5) DEFAULT NULL COMMENT '文件数量',
  `child_count` smallint(5) DEFAULT NULL COMMENT '子文件夹文件数量',
  `deleted` tinyint(1) DEFAULT '0' COMMENT '是否删除；default0:未删除；1:已删除',
  `customed` tinyint(1) DEFAULT '1' COMMENT '是否为自建文件夹；1:正常；2:为自建',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`folder_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='文件夹表';

#
# Structure for table "proj_folderuser_tb"
#

DROP TABLE IF EXISTS `proj_folderuser_tb`;
CREATE TABLE `proj_folderuser_tb` (
  `id` bigint(20) NOT NULL,
  `folder_id` bigint(20) DEFAULT NULL COMMENT '文件夹id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `proj_id` bigint(20) DEFAULT NULL,
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `folder_perm` tinyint(1) DEFAULT NULL COMMENT '1:负责人；2:普通权限',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='按节点文件夹分配任务';

#
# Structure for table "proj_gobal_config_tb"
#

DROP TABLE IF EXISTS `proj_gobal_config_tb`;
CREATE TABLE `proj_gobal_config_tb` (
  `id` bigint(20) NOT NULL COMMENT '项目id',
  `project_introduce` text COMMENT '项目介绍',
  `forge_url` varchar(512) DEFAULT NULL COMMENT 'forge在线预览地址',
  `gs_url` varchar(512) DEFAULT NULL COMMENT 'gs在线预览地址',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='项目观全局配置';

#
# Structure for table "proj_project_contact"
#

DROP TABLE IF EXISTS `proj_project_contact`;
CREATE TABLE `proj_project_contact` (
  `project_contact_id` bigint(22) NOT NULL COMMENT '表Id',
  `contact_prev_project_id` bigint(22) DEFAULT NULL,
  `contact_next_project_id` bigint(22) DEFAULT NULL,
  `project_id` bigint(22) DEFAULT NULL COMMENT '当前项目Id',
  `folded_id` bigint(22) DEFAULT NULL COMMENT '结点对应的文件夹Id',
  `node_id` bigint(22) DEFAULT NULL COMMENT '当前被嵌套结点Id',
  `nest_template_id` bigint(22) DEFAULT NULL COMMENT '嵌套模板Id',
  `deleted` tinyint(1) DEFAULT NULL,
  `contact_prev_company_id` bigint(22) DEFAULT NULL,
  `contact_next_company_id` bigint(22) DEFAULT NULL,
  `create_user_id` bigint(22) DEFAULT NULL,
  `modify_user_id` bigint(22) DEFAULT NULL,
  `create_time` timestamp NULL DEFAULT NULL,
  `modify_time` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`project_contact_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='项目关系表\n';

#
# Structure for table "proj_project_manager_tb"
#

DROP TABLE IF EXISTS `proj_project_manager_tb`;
CREATE TABLE `proj_project_manager_tb` (
  `id` bigint(20) NOT NULL,
  `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
  `user_id` bigint(20) DEFAULT NULL COMMENT '用户id',
  `status` tinyint(1) DEFAULT NULL COMMENT '状态；0：创建人；1:添加的负责人',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='项目管理表';

#
# Structure for table "proj_project_tb"
#

DROP TABLE IF EXISTS `proj_project_tb`;
CREATE TABLE `proj_project_tb` (
  `proj_id` bigint(20) NOT NULL COMMENT '项目id',
  `proj_name` varchar(200) DEFAULT NULL COMMENT '项目名称',
  `company_id` bigint(20) DEFAULT NULL COMMENT '企业id',
  `folder_id` bigint(20) DEFAULT NULL COMMENT '对应文件id',
  `com_folder_id` bigint(20) DEFAULT NULL COMMENT '公共文件夹id',
  `notice` varchar(255) DEFAULT NULL COMMENT '项目公告',
  `show_img_url` varchar(500) DEFAULT NULL COMMENT '项目封面链接',
  `deleted` tinyint(2) DEFAULT '0' COMMENT '系统字段；default0:正常；1：删除',
  `allocated` tinyint(2) DEFAULT '1' COMMENT '是否分配完毕；default1:否；2:是',
  `template_id` bigint(20) DEFAULT NULL COMMENT '模版id',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`proj_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='项目信息表';

#
# Structure for table "proj_projectuser_tb"
#

DROP TABLE IF EXISTS `proj_projectuser_tb`;
CREATE TABLE `proj_projectuser_tb` (
  `id` bigint(20) NOT NULL,
  `proj_id` bigint(20) NOT NULL COMMENT '项目id',
  `user_id` bigint(20) NOT NULL COMMENT '用户id',
  `new_proj_status` tinyint(1) DEFAULT '0' COMMENT '是否新项目；default0:是；1:否',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='项目对用户是否是新新项目';

#
# Structure for table "proj_projprop_tb"
#

DROP TABLE IF EXISTS `proj_projprop_tb`;
CREATE TABLE `proj_projprop_tb` (
  `proj_prop_id` bigint(20) NOT NULL COMMENT '属性id',
  `project_id` bigint(20) DEFAULT NULL COMMENT '项目id',
  `template_prop_id` bigint(20) DEFAULT NULL COMMENT '模版自定义字段id',
  `prop_value` varchar(255) DEFAULT NULL COMMENT '属性值',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`proj_prop_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='项目属性表';

#
# Structure for table "proj_tempcompany_tb"
#

DROP TABLE IF EXISTS `proj_tempcompany_tb`;
CREATE TABLE `proj_tempcompany_tb` (
  `template_id` bigint(20) NOT NULL COMMENT '主键：模版ID',
  `company_id` bigint(20) NOT NULL COMMENT '主键：企业ID',
  `status` tinyint(1) DEFAULT NULL COMMENT '状态：0为未启用，1为启用',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`template_id`,`company_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='企业模板关系表';

#
# Structure for table "proj_template_company_tb"
#

DROP TABLE IF EXISTS `proj_template_company_tb`;
CREATE TABLE `proj_template_company_tb` (
  `id` bigint(20) NOT NULL COMMENT 'id',
  `template_id` bigint(20) NOT NULL COMMENT '模板id',
  `company_id` bigint(20) DEFAULT NULL COMMENT '企业id',
  `deleted` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否已删除：1为已删除，0为正常',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`id`) USING BTREE,
  KEY `proj_template_company_tb_company_id_IDX` (`company_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='企业购买的模板';

#
# Structure for table "proj_template_nest"
#

DROP TABLE IF EXISTS `proj_template_nest`;
CREATE TABLE `proj_template_nest` (
  `nest_id` bigint(22) NOT NULL,
  `parent_template_id` bigint(22) DEFAULT NULL COMMENT '被嵌套的模版id',
  `parent_node_id` bigint(22) DEFAULT NULL COMMENT '被嵌套节点的id',
  `template_id` bigint(22) DEFAULT NULL COMMENT '嵌套模版',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `template_name` varchar(30) DEFAULT NULL COMMENT '嵌套模版名称',
  PRIMARY KEY (`nest_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

#
# Structure for table "proj_template_tb"
#

DROP TABLE IF EXISTS `proj_template_tb`;
CREATE TABLE `proj_template_tb` (
  `template_id` bigint(20) NOT NULL COMMENT '模板id\r\n',
  `temp_name` varchar(50) DEFAULT NULL COMMENT '模板名称',
  `type` tinyint(1) DEFAULT NULL COMMENT '类别：0 为公共模板，1为企业模板',
  `company_id` bigint(20) DEFAULT NULL COMMENT '企业ID',
  `firstIndustry_id` bigint(20) DEFAULT NULL COMMENT '所属大行业ID',
  `detailIndustry_id` bigint(20) DEFAULT NULL COMMENT '所属行业ID',
  `custom_code` bigint(20) DEFAULT NULL COMMENT '自定义编码',
  `full_code` bigint(20) DEFAULT NULL COMMENT '模板编码',
  `introduce` varchar(255) DEFAULT NULL COMMENT '模版介绍',
  `disable` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否禁用：1为已禁用，0为可用',
  `deleted` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否已删除：1为已删除，0为正常',
  `locked` tinyint(1) NOT NULL DEFAULT '0' COMMENT '是否已锁定：1为已锁定，0为正常',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  PRIMARY KEY (`template_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='模板表';

#
# Structure for table "proj_templateproperty_tb"
#

DROP TABLE IF EXISTS `proj_templateproperty_tb`;
CREATE TABLE `proj_templateproperty_tb` (
  `property_id` bigint(20) NOT NULL COMMENT '主键：属性ID',
  `template_id` bigint(20) DEFAULT NULL COMMENT '模版ID',
  `property_name` varchar(20) DEFAULT NULL COMMENT '属性名称',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  PRIMARY KEY (`property_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='模板属性表';

#
# Structure for table "proj_tempnodefile_tb"
#

DROP TABLE IF EXISTS `proj_tempnodefile_tb`;
CREATE TABLE `proj_tempnodefile_tb` (
  `id` bigint(20) NOT NULL COMMENT '主键：模版节点-样板文件ID',
  `template_node_id` bigint(20) NOT NULL COMMENT '模版节点ID',
  `fileName` varchar(255) DEFAULT NULL COMMENT '文件名称',
  `extension` varchar(20) DEFAULT NULL COMMENT '文件扩展名',
  `oss_url` varchar(512) DEFAULT NULL COMMENT '保存地址',
  `hash` varchar(128) DEFAULT NULL COMMENT 'IPFS hash',
  `file_size` bigint(20) DEFAULT NULL COMMENT '文件大小',
  `deleted` tinyint(255) DEFAULT NULL COMMENT '是否已删除：1 已删除，0 未删除',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `modify_user_id` bigint(20) DEFAULT NULL COMMENT '修改者',
  `modify_time` datetime NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP COMMENT '修改时间',
  `owner` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='节点样板文件';

#
# Structure for table "proj_tempnodeperm_tb"
#

DROP TABLE IF EXISTS `proj_tempnodeperm_tb`;
CREATE TABLE `proj_tempnodeperm_tb` (
  `perm_id` bigint(20) NOT NULL COMMENT '主键：权限ID',
  `template_id` bigint(20) DEFAULT NULL COMMENT '模版ID',
  `sys_code` bigint(20) DEFAULT NULL COMMENT '编码',
  `perm_code` bigint(20) DEFAULT NULL COMMENT '对应可操作的sys_code编码',
  `permission` tinyint(1) DEFAULT NULL COMMENT '权限：0无权限，1有权限',
  `proj_id` bigint(20) DEFAULT NULL COMMENT '项目额外权限，默认模版权限无项目ID',
  `create_user_id` bigint(20) DEFAULT NULL COMMENT '创建者',
  `create_time` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT '创建时间',
  `owner` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`perm_id`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8 ROW_FORMAT=DYNAMIC COMMENT='模板权限';

#
# Structure for table "test"
#

DROP TABLE IF EXISTS `test`;
CREATE TABLE `test` (
  `id` int(11) DEFAULT NULL,
  `name` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;
